#
# Generic component spec file
#
# German Cancio <German.Cancio@cern.ch>
#
#

Summary: NCM Sendmail configuration component
Name: ncm-sendmail
Version: 1.6.4
Vendor: EDG/CERN
Release: 1%{?dist}
License: http://cern.ch/eu-datagrid/license.html
Group: quattor/Components
Source: ncm-sendmail-1.6.4.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Requires: ncm-ncd sendmail-cf,/usr/bin/m4
URL: http://quattor.org

Patch100: ncm-sendmail-dyndns.cern.ch.patch

%description

quattor (http://quattor.org) NCM sendmail configuration component:

NCM Sendmail configuration component


%prep
%setup
%patch100 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%post
# re-run the component
if [ -x %{_sbindir}/ncm_postinstall_wrapper.sh ]; then
   %{_sbindir}/ncm_postinstall_wrapper.sh sendmail
elif [ -x %{_sbindir}/lcm ]; then
   %{_sbindir}/lcm --update --quiet sendmail
elif [ -x %{_sbindir}/ncm-ncd ]; then
   %{_sbindir}/ncm-ncd --configure --quiet sendmail
   exit 0
else
   # huh? nothing to run our shiny new component with..
   # .... must .... NOT ... do .. something .. horrible here.
    echo "cannot reconfigure sendmail, no config mgmt tools (lcm/ncm-ncd) found"
fi

#%postun
#[ $1 = 0 ] && rm -f @NCM_ROTATED@/ncm-sendmail
#exit 0

%files
%defattr(-,root,root)
%doc /usr/share/doc/ncm-sendmail-1.6.4/
%doc /usr/share/man/man8/*
/usr/lib/perl/NCM/Component/sendmail.pm
/usr/lib/ncm/config/*
/usr/share/doc/pan-templates/namespaces/components//*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 10 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added workaround for .dyndns.cern.ch subdomain.

* Fri Jul 11 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- rebuild for el7


* Thu Oct 18 2007 Jan Iven

- * no "local relay" for local accounts with bad home directory
- do not print full list of "local relay" accounts (only in debug=5 mode)

* Tue Jul 24 2007 Jan Iven

- fixed 'allowexternal' option to no longer uncomment other 'option' lines

* Fri Jul 20 2007 Ronald Starink, NIKHEF, x2179

- Fixing schema include and type name

* Fri Jul 20 2007 Ronald Starink, NIKHEF, x2179

- Upgrade to new schema

* Fri Jul 06 2007 Ronald Starink, NIKHEF, x2179

- Check existence of paths before getting the value of the path.

* Thu Feb 15 2007 Michel Jouvin

- Remove deprecated 'define' keyword

* Tue Feb 06 2007 Jan Iven

- can now configure whether external SMTP connections are allowed

* Thu Mar 09 2006 Jan Iven,31-2009,74957,

- write local user list to separate file, see https://enterprise.redhat.com/issue-tracker/beta/?module=issues&action=view&tid=86600&gid=715

* Tue Feb 14 2006 Jan Iven,31-2009,74957,

- (previous "release" actually went back to 1.4-1..)

* Tue Feb 14 2006 Jan Iven,31-2009,74957,


* Tue Feb 14 2006 Jan Iven

	- guess all local users more smartly from passwd/aliases/minuid

* Mon Jan 23 2006 Jan Iven
- fix the localuser list

* Wed Apr 20 2005 Jan Iven,31-2009,74957,

- ensure good exit code from postinstall for ncm-ncd

* Mon Apr 18 2005 Jan Iven,31-2009,74957,

- re-run after component update

* Tue Apr 05 2005 Jan Iven,31-2009,74957,

- added LOCAL_USER (default root), error checking on missing keys, noaction wrapper

* Fri Feb 04 2005 Jan Iven,31-2009,74957,

- Masquerading and LocalRelay implemented

* Fri Feb 04 2005 Christophe Raber,31-2005,74157

- Relay all unqualified names added

* Tue Jan 25 2005 Christophe Raber,31-2005,74157,
                                                                        
- Return-Path header Masquerading added

* Fri Oct 01 2004 Jan Iven,31-2009,74957,

- First real release

--- end of ChangeLog ---
